Bug 1730342 (CVE-2019-13308) - CVE-2019-13308 ImageMagick: heap-based buffer overflow in MagickCore/fourier.c in ComplexImage
Summary: CVE-2019-13308 ImageMagick: heap-based buffer overflow in MagickCore/fourier....
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-13308
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1730343
Blocks: 1730618
TreeView+ depends on / blocked
 
Reported: 2019-07-16 13:53 UTC by Marian Rehak
Modified: 2019-09-29 15:16 UTC (History)
6 users (show)

Fixed In Version: ImageMagick 7.0.8-58
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-19 15:06:52 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-16 13:53:43 UTC
ImageMagick 7.0.8-50 Q16 has a heap-based buffer overflow in MagickCore/fourier.c in ComplexImages.

Upstream Issue:

https://github.com/ImageMagick/ImageMagick/issues/1595

Comment 1 Marian Rehak 2019-07-16 13:53:59 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1730343]

Comment 3 Riccardo Schirone 2019-07-19 13:03:27 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they did not include the vulnerable function.

Comment 4 Product Security DevOps Team 2019-07-19 15:06:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13308


Note You need to log in before you can comment on or make changes to this bug.